curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/simulate-skip' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"config": {},
"ticket": {},
"recent_limit": 1
}'
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"rule_count": 1,
"evaluated": 1,
"would_skip": 1,
"would_process": 1,
"results": [
{
"ticket": "string",
"should_skip": true,
"reason": "Two-person tent, green — replacement for damaged pole set.",
"error": "string"
}
]
}
Simulate skip check
Dry-run of the skip rules against the supplied ticket or recent real events; nothing is touched.
POST
/
v1
/
brands
/
{brand_id}
/
config
/
simulate-skip
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/simulate-skip' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"config": {},
"ticket": {},
"recent_limit": 1
}'
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"rule_count": 1,
"evaluated": 1,
"would_skip": 1,
"would_process": 1,
"results": [
{
"ticket": "string",
"should_skip": true,
"reason": "Two-person tent, green — replacement for damaged pole set.",
"error": "string"
}
]
}
Path parameters
string (uuid)
required
Request body
object
object
Candidate config; defaults to the saved binding config
object
A single ticket to evaluate; defaults to recent real events
integer
1–25, default 10
Response
object
string (uuid)
required
integer
required
integer
required
integer
required
integer
required
object[]
required
Status codes
| Code | Meaning |
|---|---|
200 | Dry-run of the skip rules against the supplied ticket or recent real events; nothing is touched. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/simulate-skip' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"config": {},
"ticket": {},
"recent_limit": 1
}'
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"rule_count": 1,
"evaluated": 1,
"would_skip": 1,
"would_process": 1,
"results": [
{
"ticket": "string",
"should_skip": true,
"reason": "Two-person tent, green — replacement for damaged pole set.",
"error": "string"
}
]
}
Last modified on August 31, 2026